/*  shogiopening
 *  Copyright (C) 2000 Sverre Hvammen Johansen
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

extern void init_board(char board[10][11]);
extern t_graph *compute_boards(t_graph *g);
extern char move_board(char board1[10][11], char board2[10][11], char *move, 
		       t_cord *from, t_cord *to, t_cord *extra);
extern char illegal_move(int x1, int y1, int x2, int y2, 
			 int piece, char board[10][11]);
extern char *text_move(int x1, int y1, int x2, int y2, int piece, 
		       char board[10][11], char auto_promote);
extern void copy_board (char board2[10][11], char board[10][11]);
extern char nodes_is_equal(t_node *n1, t_node *n2);
extern char which_piece (char c);
char boards_is_equal(char board1[10][11], char board2[10][11]);
