/*  shogiopening
 *  Copyright (C) 2000 Sverre Hvammen Johansen
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

extern gboolean
on_viewportstart_button_press_event    (GtkWidget       *widget,
                                        GdkEventButton  *event,
                                        gpointer         user_data);

extern gboolean
on_viewportback_button_press_event     (GtkWidget       *widget,
                                        GdkEventButton  *event,
                                        gpointer         user_data);

extern gboolean
on_viewportforward_button_press_event  (GtkWidget       *widget,
                                        GdkEventButton  *event,
                                        gpointer         user_data);

extern gboolean
on_viewportend_button_press_event      (GtkWidget       *widget,
                                        GdkEventButton  *event,
                                        gpointer         user_data);

extern gboolean
on_viewport_button_press_event         (GtkWidget       *widget,
                                        GdkEventButton  *event,
                                        gpointer         user_data);

extern void draw_board(t_graph *n, int x2, int y2);

extern gboolean editable;
extern gboolean auto_promote;
extern gboolean train_mode;
extern void flip_view(t_graph *g);
extern void create_board(GtkWidget       *widget);

extern GtkWidget *app1;
extern GtkWidget *fileselection;
extern GtkWidget *note;
extern GtkWidget *about;

extern void init_draw(void);
extern gboolean style_west, style_clasical;
extern int style;

extern void mark_board_position (int x, int y, char mark);

#define PIECES_COLORS 5

#define YELLOW 1
#define GREEN 2
#define RED 3
#define BLUE 4

extern char color_xpm_d[12];
#define COLOR_BLACK 	". c #000000"
#define COLOR_NONE     ". c None"

